<!DOCTYPE html>
{% extends 'en/base.html' %}
{% block content %}
{% include 'en/navbar.html' %}
<div class="container">
<div class="row">
<div class="col">
<h3>
Select or upload dataset
</h3>
{% with messages = get_flashed_messages() %}
  {% if messages %}
<div class="alert alert-primary" role="alert">
    <h3> There were errors uploading your files: </h3>
    <ul >
    {% for message in messages %}
      <li>{{ message }}</li>
    {% endfor %}
    </ul>
</div>
  {% endif %}
{% endwith %}
<div class="accordion" id="accordionPanelsStayOpenExample">
  <div class="accordion-item">
    <h2 class="accordion-header" id="panelsStayOpen-headingOne">
      <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#panelsStayOpen-collapseOne" aria-expanded="true" aria-controls="panelsStayOpen-collapseOne">
	<h2>
         Select dataset 
</h2>
      </button>
</h2>
    <div id="panelsStayOpen-collapseOne" class="accordion-collapse collapse show" aria-labelledby="panelsStayOpen-headingOne">
      <div class="accordion-body">
<p> Select one of the uploaded datasets from the list or upload your own dataset
</p>
             <table class="table">
 		<caption> Available datasets </caption>
			<thead>
			    <tr>
			      <th scope="col">id</th>
			      <th scope="col">Name</th>
			      <th scope="col">Description</th>
			      <th scope="col">Uploaded</th>
			      <th scope="col">Select</th>
			      <th scope="col">Delete</th>
			    </tr>
 			</thead>
   		{% for d in datasets %}
                	<tr>
				<td>{{d.id}} </td>
				<td>{{d.name}} </td>
				<td>{{d.description}} </td>
				<td>{{d.upload_time}} </td>
 				<td><a class="btn btn-primary" href="{{url_for('show_dataset',dataset_id=d.id)}}" role="button">Select</a>
 				<td><a class="btn btn-primary" href="{{url_for('delete_dataset',dataset_id=d.id)}}" onclick="return confirmDelete({{d.id}})">Delete</a>
				
			</tr>
                {%endfor%}
</table>
      </div>
    </div>
  </div>
  <div class="accordion-item">
    <h2 class="accordion-header" id="panelsStayOpen-headingThree">
      <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#panelsStayOpen-collapseThree" aria-expanded="false" aria-controls="panelsStayOpen-collapseThree">
<h2>
Upload dataset
</h2>
      </button>
    </h2>
    <div id="panelsStayOpen-collapseThree" class="accordion-collapse collapse" aria-labelledby="panelsStayOpen-headingThree">
      <div class="accordion-body">
<p>
 Two CSV files are required: one with the dataset and another one with the dataset field information. The latter must have the following fields:
 <ul class="list-group">
 <li class="list-group-item">name: name of the feature (one for each feature in the dataset) </li>
 <li class="list-group-item">type: an integer with the type of data. 0 for numeric or text columns, 1 for categorical columns, 2 for tooth-list (according to ISO 3950:2016 standard)  </li>
 <li class="list-group-item">max-range: only for tooth-list features, indicate the maximum teeth number, typically 86. Leave empty for other columns  </li>
 <li class="list-group-item">categories: only for categorical features, integer for each category, separated by semi-colon (;).  Leave empty for other columns  </li>
 <li class="list-group-item">legend: only for categorical features, text for each category, separated by semi-colon (;).  Leave empty for other columns  </li>
 </ul>

<p>
<form action="{{url_for('process_dataset')}}" method="POST" enctype="multipart/form-data">
    <label class="custom-file-label" for="iname">Name of the dataset</label>
   <input type="text" class="form-control" id="iname" name="dname">
    <label class="custom-file-label" for="idesc">Description</label>
   <input type="textarea" class="form-control" id="idesc" name="description">
    <label class="custom-file-label" for="inputGroupFile01">Choose dataset CSV</label>
   <input type="file" class="form-control" id="inputGroupFile01" name="dataset">
<p>
    <label class="custom-file-label" for="iselec">Choose CSV  separator</label>
    <select class=form-control" id="separator" name="sep">
	<option value="comma"> , </option>
	<option value="colon"> ; </option>
    </select>
</p>
    <p>
    <label class="custom-file-label" for="inputGroupFile02">Choose dataset info CSV</label>
   <input type="file" class="form-control" id="inputGroupFile02" name="dataset_info">
   </p>
<p>
   <input type="submit" class="btn btn-primary" id="inputGroupFile02" name="submit" value="Upload">
</p>
   
</form>
<p>

      </div>
    </div>
  </div>
</div> {#Accordion#}

            </div>
        </div>  
    </div>
<script>
function confirmDelete(e) {
  if (confirm("Delete job results?") == true) {
    return true;
  } else {
    return false;
  }
}
</script>
{% endblock %}

